pkgDebianIndexFile Class Referenceabstract
Inheritance diagram for pkgDebianIndexFile:
[legend]
Collaboration diagram for pkgDebianIndexFile:
[legend]

## Public Member Functions

bool | Merge (pkgCacheGenerator &Gen, OpProgress *Prog) override
pkgCache::PkgFileIterator | FindInCache (pkgCache &Cache) const override
| pkgDebianIndexFile (bool const Trusted)
Public Member Functions inherited from pkgIndexFile
virtual const Type * | GetType () const =0
virtual std::string | ArchiveInfo (pkgCache::VerIterator const &Ver) const
virtual std::string | SourceInfo (pkgSrcRecords::Parser const &Record, pkgSrcRecords::File const &File) const
virtual std::string | Describe (bool const Short=false) const =0
virtual std::string | ArchiveURI (std::string const &) const
virtual pkgSrcRecords::Parser * | CreateSrcParser () const
virtual bool | Exists () const =0
virtual bool | HasPackages () const =0
virtual unsigned long | Size () const =0
bool | IsTrusted () const
| pkgIndexFile (bool const Trusted)

## Protected Member Functions

virtual std::string | IndexFileName () const =0
virtual std::string | GetComponent () const =0
virtual std::string | GetArchitecture () const =0
virtual std::string | GetProgressDescription () const =0
virtual uint8_t | GetIndexFlags () const =0
virtual bool | OpenListFile (FileFd &Pkg, std::string const &FileName)=0
virtual APT_HIDDEN pkgCacheListParser * | CreateListParser (FileFd &Pkg)

## Additional Inherited Members

Protected Attributes inherited from pkgIndexFile
bool | Trusted

## Member Function Documentation

## FindInCache()

pkgCache::PkgFileIterator FindInCache | ( | pkgCache & | Cache | ) | const

override virtual

Reimplemented from pkgIndexFile.

## Merge()

bool Merge | ( | pkgCacheGenerator & | Gen,
|  | OpProgress * | Prog )

override virtual

Reimplemented from pkgIndexFile.

The documentation for this class was generated from the following files:

- apt-pkg/indexfile.h
- apt-pkg/indexfile.cc